## libdbusmenu 18.10.20180917~bzr492%2Brepack1

=== tools/testapp/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)

pkg_check_modules(DBUSMENUGLIB REQUIRED dbusmenu-glib)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(JSONGLIB REQUIRED json-glib-1.0)

set(glibapp_SRCS
    main.c
    )

include_directories(
    ${DBUSMENUGLIB_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${JSONGLIB_INCLUDE_DIRS}
    )

link_directories(
    ${DBUSMENUGLIB_LIBRARY_DIRS}
    ${GLIB_LIBRARY_DIRS}
    ${JSONGLIB_LIBRARY_DIRS}
    )

add_executable(dbusmenubench-glibapp ${glibapp_SRCS})

target_link_libraries(dbusmenubench-glibapp
    ${DBUSMENUGLIB_LIBRARIES}
    ${GLIB_LIBARIES}
    ${JSONGLIB_LIBRARIES}
    )

## libdbusmenu 12.10.2

=== debian/changelog ===
libdbusmenu (12.10.2-1) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * Team upload.
  * Many thanks to Andreas Cadhalpun!

  [Andreas Cadhalpun]
  * Import upstream version 12.10.2.
  * debian/source/format: Switch from 1.0 to 3.0 (quilt).
  * debian/patches:
     - Drop optional-valgrind.patch, included upstream.
     - Add g_type_init.patch to fix FTBFS (g_type_init is deprecated
       after glib 2.36).
     - Add reference-xinclude.patch to fix FTBFS due to XInclude errors.
  * debian/control:
     - Update valac build-dependency. (Closes: 707409, 709690)
     - Drop build-dependency on quilt.
     - Drop Breaks: libdbusmenu-glib0 (shouldn't be around anymore and
       lintian complains)
     - Update Standards version from 3.9.3 to 3.9.5 (no changes required).
  * debian/copyright: Update dates.
  * debian/rules: Drop quilt code.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 28 Aug 2014 11:15:52 -0700

libdbusmenu (0.6.2-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
  * Generate header files not arch-specific by droping the full 
    (build time) path to the included files from comments.
    Closes: #674200
  * Only disable valgrind tests, not all of them.
    This reintroduces the jsonloader packages that were previously droped.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 26 Jun 2012 21:13:01 +0200

libdbusmenu (0.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * Fixed duplicated underscores in menus (LP: #979301)
    * Fix for keybindings not showing in menus bug (LP: #982656)
    * DbusmenuServer leaks private string (LP: #981766)
    * Ensure menuitems with '&' show them properly (LP: #994564)

 -- Ted Gould <ted@ubuntu.com>  Wed, 13 Jun 2012 14:44:52 -0500

libdbusmenu (0.6.1-2) unstable; urgency=low

  * Disable tests, they need valgrind, not available on all arches.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 May 2012 07:54:01 +0200

libdbusmenu (0.6.1-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
    Closes: #666943
  * Drop patches, applied upstream.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 May 2012 16:48:48 +0200

libdbusmenu (0.6.1-0ubuntu3) precise-proposed; urgency=low

  * Backport fix for keybindings not showing in menus bug (lp: #982656)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Apr 2012 21:28:05 +0200

libdbusmenu (0.6.1-0ubuntu2) precise; urgency=low

  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed duplicated underscores in menus (LP: #979301)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 12 Apr 2012 12:42:47 -0400

libdbusmenu (0.6.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix mnemonics in wifi hotspot names. (LP: #903200)
    * Fix nautilus crash in dbusmenu_menuitem_property_remove() (LP: #959821)
    * Fix about-to-show grouping.
    * Fix visibility signal in the server.
    * Silence false positives in dbusmenu's signal smoke tests.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 11 Apr 2012 11:58:22 -0500

libdbusmenu (0.5.99-0ubuntu3) precise; urgency=low

  * libdbusmenu-gtk/parser.c
    - switch the smoke test to a g_debug statement (LP: #977803) 

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 10 Apr 2012 13:21:02 -0400

libdbusmenu (0.5.99-0ubuntu2) precise; urgency=low

  * libdbusmenu-glib/server.c
    - Cherry picked a fix for a regression in about-to-show grouping
  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed: underscore on menu items change on switching focus (LP: #903200)
  * libdbusmenu-gtk/parser.c
    - Fixed: nautilus crashed with SIGSEGV in 
      dbusmenu_menuitem_property_remove() (LP: #959821)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 09 Apr 2012 16:29:34 -0400

libdbusmenu (0.5.99-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Reduce the number of messages hud-service sends. (LP: #957022)
    * Fix valgrind tests thanks to a little help from sewardj.
    * Add gcov targets to autotools build for code-coverage reporting.
    * Make private two impl functions that were accidentally public

 -- Charles Kerr <charles.kerr@canonical.com>  Thu, 05 Apr 2012 14:22:33 -0500

libdbusmenu (0.5.96-0ubuntu2) precise; urgency=low

  * Cherry pick fix for FTBFS on arm

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Apr 2012 16:43:10 -0400

libdbusmenu (0.5.96-0ubuntu1) precise; urgency=low

  [ Charles Kerr ]
  * New upstream release.
    * Faster menuitem lookups (LP: #801699)
    * To reduce dbus traffic, only send event replies when the caller 
      requests them
    * Added support for callgrind-based benchmarks
    * Minor code cleanup

  [ Ken VanDine ]
  * debian/control
    - added build depends on valgrind

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 29 Mar 2012 16:35:00 -0400

libdbusmenu (0.5.95-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix theme change bug (LP: #953509)
    * Don't request event responses if no one is listening
    * Fix a warning on custom menu items without labels

 -- Ted Gould <ted@ubuntu.com>  Wed, 21 Mar 2012 14:33:32 -0500

libdbusmenu (0.5.94-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fixing setting name of ATK objects
    * Cleaning up a warning on shutdown (LP: #950762)

 -- Ted Gould <ted@ubuntu.com>  Fri, 09 Mar 2012 14:35:38 -0600

libdbusmenu (0.5.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Setting the ATK Role on menu items (LP: #878708)
    * Cleaning up code paths to avoid goto's (LP: #940651)
    * Fixing setting an icon multiple times (LP: #934574)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Mar 2012 10:08:10 -0600

libdbusmenu (0.5.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix label leak and make it not have disposition (LP: #937829)

 -- Ted Gould <ted@ubuntu.com>  Thu, 23 Feb 2012 00:10:04 -0600

libdbusmenu (0.5.91-0ubuntu2) precise; urgency=low

  * debian/control: restore gtk2 gir depends until that source is updated



=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               cdbs (>= 0.4.93),
               libgtk2.0-dev (>= 2.24.4-1~),
               libgtk-3-dev (>= 2.99.2-1ubuntu2),
               libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
               libdbus-glib-1-dev,
               libatk1.0-dev,
               gnome-doc-utils,
               gtk-doc-tools,
               libtool,
               intltool,
               libjson-glib-dev (>= 0.13.4),
               gobject-introspection,
               gir1.2-gtk-2.0,
               libgirepository1.0-dev (>= 0.9.3),
               libx11-dev (>= 1.3), 
               dh-autoreconf,
               valac (>= 0.20)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/dbusmenu
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/libdbusmenu/debian
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/libdbusmenu/debian

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: indicator-messages (<< 0.3.0),
        indicator-session (<< 0.2.0),
        gir1.2-unity-3.0 (<< 3.8.4-0ubuntu2),
        gir1.2-indicate-0.5 (<< 0.5.0-0ubuntu4)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0)
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0),
         libdbusmenu-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         libdbusmenu-glib4 (= ${binary:Version})
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         ${gir:Depends}
Breaks: gir1.2-unity-3.0 (<< 3.8.4-0ubuntu2),
        gir1.2-indicate-0.5 (<< 0.5.0-0ubuntu4)
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         ${gir:Depends}
Description: typelib file for libdbusmenu-gtk4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-jsonloader4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (= ${binary:Version}),
         libjson-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in 
 applications or libraries using dbusmenu.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk-3-dev (>= 2.91.4-0ubuntu1),
         libdbusmenu-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         ${gir:Depends}
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_DH_INSTALL_ARGS_libdbusmenu-gtk4 += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk-dev += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk-doc += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-gtk-0.4 += --sourcedir=debian/tmp/gtk2

DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-glib-0.4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-gtk3-0.4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib-doc += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk3-4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk3-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-jsonloader4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-jsonloader-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-tools += --sourcedir=debian/tmp/gtk3

DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2
DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-introspection  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_SHLIBDEPS_ARGS_libdbusmenu-gtk4 = -- -xlibgtk2.0-0
DEB_DH_SHLIBDEPS_ARGS_libdbusmenu-gtk3-4 = -- -xlibgtk-3-0

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)
debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)

common-install-arch::
	find debian/tmp -name \*.la -delete

## libdbusmenu 16.04.1+17.04.20170109.1

=== debian/changelog ===
libdbusmenu (16.04.1+17.04.20170109.1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
      Fix FTBFS during gtkdoc-check unit tests. This patch basically disables
      unit tests for gtkdoc-check. (Closes: #876613).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 11:26:11 +0200

libdbusmenu (16.04.1+17.04.20170109.1-4) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Raise versioned B-D for debhelper (>= 10.3~).
    + Bump Standards-Version: to 4.0.1. No changes needed.
  * debian/rules:
    + Switch over from dh_install --fail-missing to dh_missing
      --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 20:06:43 +0200

libdbusmenu (16.04.1+17.04.20170109.1-3) experimental; urgency=medium

  * debian/control:
    + Drop Evgeni Golov from Uploaders: field per request via #debian-devel
      on 2017-05-22 12:37 CEST.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/watch:
    + Use Ubuntu's orig.tar.gz as orig tarball source.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 May 2017 10:41:41 +0200

libdbusmenu (16.04.1+17.04.20170109.1-2) experimental; urgency=medium

  * debian/control:
    + Exclude valgrind as B-D from various Debian-supported build platforms.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 May 2017 12:15:21 +0200

libdbusmenu (16.04.1+17.04.20170109.1-1) experimental; urgency=medium

  * Merge new upstream release from Ubuntu.
    - libdbusmenu-gtk4: Don't send Ubuntu-specific signal 'child-added' anymore.
      (Closes: #850769).
  * debian/patches:
    + Add 0001_no-deprecated-gnome-common-macros.patch. Fully drop deprecated
      gnome-common variables and macros. This and latest upstream changes...
      (Closes: #829962).
  * debian/control:
    + New uploader for this package (Mike Gabriel). Package remains
      team-maintained. (Closes: #818020).
    + Replace Ubuntu's Vcs-*: fields. Now pointing to Debian's pkg-ayatana
      namespace on git.debian.org.
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Typo fix for the word "development".
    + Fix duplicate SYNOPSIS and LONG_DESCRIPTION phrases.
    + Drop superfluous Pre-Depends: fields.
  * debian/{control,compat}:
    + Bump to DH level 10.
  * debian/{control,rules}:
    + Enable bindnow hardening (i.e. all hardening flags).
  * debian/rules:
    + Remove builddir/ on dh_auto_clean. Make build idempotent.
    + Don't do parallel make during dh_auto_install. Several race conditions
      have been observed for unknown reason. Avoid those.
    + More dh_shlibdeps calls (for libdbusmenu-glib4, libdbusmenu-jsonloader4
      and libdbusmenu-tools).
  * debian/*: Process with 'wrap-and-sort -s -b -t'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2017 16:33:42 +0200

libdbusmenu (16.04.1+17.04.20170109.1-0ubuntu1) zesty; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build with --enable-massivedebugging

  [ Marco Trevisan (Treviño) ]
  * debian/control: add gnome-common as build dependency for autogen.sh"
    debian/control

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:38:49 +0000

libdbusmenu (16.04.1+16.10.20160927.2-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Albert Astals Cid ]
  * genericmenuitem: Make accelerator text appear again (LP: #1628196)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 27 Sep 2016 22:03:54 +0000

libdbusmenu (12.10.3+16.04.20160223.1-0ubuntu1) xenial; urgency=medium

  [ Dan Williams ]
  * gtk: look for GtkImages on regular GtkMenuItems too (LP: #1549021)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Feb 2016 23:20:43 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu2) xenial; urgency=high

  * Disable test-json-instruction, hangs on buildds, see launchpad bug
    1429291.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Dec 2015 10:13:22 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Marco Trevisan (Treviño) ]
  * Parser: don't override the label for stock items if a custom one is
    provided (LP: #1270486)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 21:56:13 +0000

libdbusmenu (12.10.3+15.04.20150409.1-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * Use the configure-generated libtool script instead of
    /usr/bin/libtool, which might not match what we have. Also use gi's
    typelibdir pkgconfig variable and install into this directory, now
    that gi supports multiarch.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 09 Apr 2015 17:36:00 +0000

libdbusmenu (12.10.3+14.10.20140610-0ubuntu1) utopic; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Parser: make sure that the old dbus menuitem is detached from the
    widget before recreating When a dbus menuitem has to be recreated,
    we need to disconnect the widget from it, or the old one will be
    reused at next parsing cycle. (LP: #1086563)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 10 Jun 2014 15:29:30 +0000

libdbusmenu (12.10.3+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Fix FTBFS caused by failing gtk-doc coverage test * when generating
    the script that runs gtester, use ${GTKDOC_CHECK_PATH} instead of
    ${GTKDOC_CHECK} to work with upstream changes
    https://bugzilla.gnome.org/show_bug.cgi?id=701638 * add gtk-doc
    markup to subclass structs' parent fields so that gtk-doc won't mark
    them as undocumented. (LP: #1294165)

  [ Colin Watson ]
  * Run tests with VERBOSE=1 so that Automake shows more detail.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 09:04:45 +0000

libdbusmenu (12.10.3+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Don't depend on valgrind on ppc64el. (LP: #1262374)
  * Flushing trunk with a release



=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: The Ayatana Packages <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner,
 debhelper (>= 10.3~),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1.1),
 gnome-common,
 gobject-introspection (>= 1.41.4-1~),
 gtk-doc-tools,
 intltool,
 libatk1.0-dev,
 libdbus-glib-1-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
 libgirepository1.0-dev (>= 0.9.3),
 libglib2.0-dev (>= 2.35.4),
 libgtk-3-dev (>= 2.99.2-1ubuntu2),
 libgtk2.0-dev (>= 2.24.4-1~),
 libjson-glib-dev (>= 0.13.4),
 libtool,
 libx11-dev (>= 1.3),
 quilt,
 valac (>= 0.16),
 valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32],
 xauth,
 xvfb,
Standards-Version: 4.0.1
Homepage: https://launchpad.net/dbusmenu
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libdbusmenu.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libdbusmenu.git

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk4 (GTK-2 variant)
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk3-4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk3-4.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-2+ applications.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-3+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-4 (= ${binary:Version}),
 libgtk-3-dev (>= 2.91.4-0ubuntu1),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-3+ applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-2+ applications.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev (= ${binary:Version}),
 libdbusmenu-jsonloader4 (= ${binary:Version}),
 libjson-glib-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

FLAVORS = gtk2 gtk3

CONFIGURE_FLAGS_gtk2 = --with-gtk=2
CONFIGURE_FLAGS_gtk3 = --with-gtk=3

CONFIGURE_COMMON_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-introspection  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

INSTALL_COMMON_FLAGS =
MISSING_COMMON_FLAGS = --fail-missing

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --no-parallel --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_auto_test: $(FLAVORS:%=dotest-%)

override_dh_auto_clean:
	dh_auto_clean
	rm -Rvf builddir/

dotest-%:
ifeq ($(DEB_HOST_ARCH),ppc64el)
	: # ignore the test results on $(DEB_HOST_ARCH)
	-VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
else
	VERBOSE=1 xvfb-run -a dh_auto_test --builddirectory=builddir/$*
endif

override_dh_missing:
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk4 --sourcedir=debian/tmp/gtk2
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk-dev --sourcedir=debian/tmp/gtk2
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk-doc --sourcedir=debian/tmp/gtk2
	dh_missing $(MISSING_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk-0.4 --sourcedir=debian/tmp/gtk2
	dh_missing $(MISSING_COMMON_FLAGS) -pgir1.2-dbusmenu-glib-0.4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk3-0.4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-glib-doc --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk3-4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-gtk3-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-jsonloader4 --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-jsonloader-dev --sourcedir=debian/tmp/gtk3
	dh_missing $(MISSING_COMMON_FLAGS) -plibdbusmenu-tools --sourcedir=debian/tmp/gtk3

override_dh_install:
	find debian/tmp -name \*.la -delete
	# Remove gtk2 copies of dbusmenu-tools (we use the gtk3 build)
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-testapp
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-dumper
	rm -f debian/tmp/gtk2/usr/lib/x86_64-linux-gnu/dbusmenu-bench
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk4 --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk-dev --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk-doc --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk-0.4 --sourcedir=debian/tmp/gtk2
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-glib-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -pgir1.2-dbusmenu-gtk3-0.4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-glib-doc --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-gtk3-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader4 --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-jsonloader-dev --sourcedir=debian/tmp/gtk3
	dh_install $(INSTALL_COMMON_FLAGS) -plibdbusmenu-tools --sourcedir=debian/tmp/gtk3

override_dh_shlibdeps:
	dh_shlibdeps -plibdbusmenu-gtk4 -- -xlibgtk2.0-0
	dh_shlibdeps -plibdbusmenu-gtk3-4 -- -xlibgtk-3-0
	dh_shlibdeps -plibdbusmenu-glib4
	dh_shlibdeps -plibdbusmenu-jsonloader4
	dh_shlibdeps -plibdbusmenu-tools

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/libd/libdbusmenu/libdbusmenu_([0-9.\+]+).orig.tar.gz
